# TODO:
# - docdir fix (both docdir/midori and docdir/midori-version exist too)
%define mainver	0.4
%define minorver 4
Summary:	Web browser based on GTK+ WebCore
Summary(hu.UTF-8):	GTK+ WebCore alapú web-böngésző
Summary(pl.UTF-8):	Przeglądarka WWW oparta na GTK+ WebCore
Name:		midori
Version:	%{mainver}.%{minorver}
Release:	2
License:	LGPL v2+
Group:		X11/Applications/Networking
Source0:	http://archive.xfce.org/src/apps/midori/%{mainver}/%{name}-%{version}.tar.bz2
# Source0-md5:	a6578ebfd237c0f22cce49113b95f70c
URL:		http://www.twotoasts.de/index.php?/pages/midori_summary.html
BuildRequires:	docutils
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gtk+2-devel >= 2:2.10.6
BuildRequires:	gtk-doc
BuildRequires:	gtk-webkit-devel >= 1.1.1
BuildRequires:	intltool
BuildRequires:	libnotify-devel
BuildRequires:	libsoup-devel >= 2.30.0
BuildRequires:	libunique-devel >= 0.9
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
BuildRequires:	python-modules
BuildRequires:	rpmbuild(macros) >= 1.198
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sqlite3-devel >= 3.0
BuildRequires:	vala
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Provides:	wwwbrowser
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Midori is a lightweight GTK+ 2 web browser based on GTK+ WebCore. It
features tabs, windows and session management, bookmarks stored with
XBEL, searchbox based on OpenSearch, and user scripts support.

%description -l hu.UTF-8
Midori egy pehelysúlyú GTK+ 2 webböngésző GTK+ WebCore alapokon.
Lehetőségei között fülek (tabok), ablak és munkafolyamat kezelés,
könyvjelzők tárolása XBEL-lel, OpenSearch-ön alapuló keresődoboz és
felhasználói szkript támogatás van.

%description -l pl.UTF-8
Midori to lekka przeglądarka dla GTK+ 2 oparta na GTK+ WebCore.
Obsługuje panele, okienka, zarządzanie sesjami, zakładki przechowywane
przy użyciu XBEL, okno wyszukiwania oparte na OpenSearch oraz skrypty
użytkownika.

%package apidocs
Summary:	API documentation of midori
Summary(pl.UTF-8):	Dokumentacja API midori
Group:		Documentation
Requires:	gtk-doc-common
Provides:	midori-api-doc
Obsoletes:	midori-api-doc

%description apidocs
API documentation of midori.

%description apidocs -l pl.UTF-8
Dokumentacja API midori.

%prep
%setup -q

%build
./waf configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--docdir=%{_docdir} \
	--enable-apidocs

./waf build

%install
rm -rf $RPM_BUILD_ROOT

./waf install \
	--destdir=$RPM_BUILD_ROOT

# install API documentation
install -d $RPM_BUILD_ROOT%{_gtkdocdir}/{katze,midori}
cp _build_/docs/api/katze/html/* $RPM_BUILD_ROOT%{_gtkdocdir}/katze
cp _build_/docs/api/midori/html/* $RPM_BUILD_ROOT%{_gtkdocdir}/midori

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING README TODO TRANSLATE
%attr(755,root,root) %{_bindir}/midori
%dir %{_libdir}/midori
%attr(755,root,root) %{_libdir}/midori/*.so
%{_sysconfdir}/xdg/midori
%{_desktopdir}/midori.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%{_datadir}/midori
%{_docdir}/midori

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/katze
%{_gtkdocdir}/midori
%changelog
* Wed Aug 29 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/midori.git;a=log;h=master

* Wed Aug 29 2012 Jan Rękorajski <baggins@pld-linux.org> d9d0bb9
- release 2 (by relup.sh)

* Fri Mar 09 2012 Zsolt Udvari <uzsolt@pld-linux.org> f766e2e
- 0.4.4

* Fri Dec 23 2011 lisu <lisu@pld-linux.org> 7065011
- updated to 0.4.3

* Fri Nov 11 2011 Zsolt Udvari <uzsolt@pld-linux.org> 6a09bce
- 0.4.2

* Mon Oct 10 2011 Zsolt Udvari <uzsolt@pld-linux.org> 619dbcb
- 0.4.1

* Mon Sep 19 2011 lisu <lisu@pld-linux.org> c89c95a
- upadted to 0.4.0 (thanks to fi9o - fi9o at jabster dot pl)

* Tue May 17 2011 Zsolt Udvari <uzsolt@pld-linux.org> 53b1297
- 0.3.6

* Thu May 05 2011 Zsolt Udvari <uzsolt@pld-linux.org> 43f384f
- 0.3.5

* Wed Apr 13 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 442d94e
- fixed installation of API documentation
- unified apidocs package name
- release 1

* Wed Mar 16 2011 Zsolt Udvari <uzsolt@pld-linux.org> 1601a39
- 0.3.3

* Mon Feb 21 2011 Zsolt Udvari <uzsolt@pld-linux.org> ef376bb
- 0.3.2

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 01a4038
- Requires(post,postun): gtk-update-icon-cache

* Tue Feb 01 2011 Zsolt Udvari <uzsolt@pld-linux.org> 42e65b0
- 0.3.0
- package svg icons

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 7a3b84f
- BR: vala

* Tue Nov 02 2010 Zsolt Udvari <uzsolt@pld-linux.org> b45376c
- 0.2.9

* Mon Oct 18 2010 Caleb Maclennan <caleb@alerque.com> 14cac4a
- Up to 0.2.8

* Tue Aug 17 2010 Zsolt Udvari <uzsolt@pld-linux.org> 1915005
- 0.2.7
- unpackaged files

* Tue May 25 2010 Zsolt Udvari <uzsolt@pld-linux.org> 91852d3
- 0.2.6

* Mon May 17 2010 Zsolt Udvari <uzsolt@pld-linux.org> 701a532
- 0.2.5
- doesn't build

* Mon Apr 05 2010 Kacper Kornet <draenog@pld-linux.org> 945cfce
- generate user documentation (BR: docutils)

